# class XmlCData | Xml Declaration. More...
Full name | `TelEngine::XmlCData`
Definition | `#include <libs/yxml/yatexml.h>`
Inherits | TelEngine::XmlChild [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- XmlCData (const String& data)
- XmlCData (const XmlCData& orig)
- virtual ~XmlCData ()
- inline const String& getCData () const
- void toString (String& dump, const String& indent = String::empty()) const
- virtual XmlCData* xmlCData ()

## Detailed Description

A Xml CData from Xml document

XmlCData (const String& data) | ### XmlCData

Constructor

Parameters:

data | The CData content

XmlCData (const XmlCData& orig) | ### XmlCData

Copy constructor

Parameters:

orig | Original XmlCData

~XmlCData () | ### ~XmlCData

[virtual]

Destructor

inline const String& getCData () | ### getCData

[const]

Get the CData content

Returns: The content of this xml object

void toString (String& dump, const String& indent = String::empty()) | ### toString

[const]

Build a String from this XmlCData

Parameters:

dump | The string where to append representation
indent | Spaces for output

Reimplemented from GenObject.

XmlCData* xmlCData () | ### xmlCData

[virtual]

Get the Xml CData

Returns: This object

Reimplemented from XmlChild.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.